Subject: Bug#218182: man-db: Woody security update install fails in postinst

From: Colin Watson <[email-masked]>
Date: Wed, 29 Oct 2003 17:17:58 +0000

reassign 218182 debconf
thanks

On Wed, Oct 29, 2003 at 05:12:44PM +0000, Wookey wrote:
> +++ Colin Watson [03-10-29 16:04 +0000]:
> > On Wed, Oct 29, 2003 at 03:33:52PM +0000, Wookey wrote:
> > > +++ Colin Watson [03-10-29 15:09 +0000]:
> > > > environment? I suspect a corrupted debconf database.
> 
> > > debconf (developer): <-- GET man-db/install-setuid
> > > debconf (developer): --> 10 man-db/install-setuid doesn't exist
> > > dpkg: error processing man-db (--configure):
> > >  subprocess post-installation script returned error exit status 10
> > 
> > It does confirm that theory, yes. Keep a copy of everything in
> > /var/cache/debconf, which I suspect joeyh@ will want to see, and run
> > /usr/share/debconf/fix_db.pl.
> 
> OK - that did the trick (and indeed fixed all the other packages that
> wouldn't install too (mysql-server, proftpd, ssh). So you can close
> this, or perhaps move it to debconf as I've kept the files for
> analysis? 

I'll pass it over to debconf in case Joey can get something useful from
it, I think. Good luck ...

Cheers,

-- 
Colin Watson                                  [[email-masked]]